# ostreambuf_iterator Class Template Reference

Inheritance diagram for ostreambuf_iterator:

List of all members.

### template<typename _CharT, typename _Traits>
class std::ostreambuf_iterator< _CharT, _Traits >

## Public Types

- typedef _CharT char_type
- typedef void difference_type
- typedef output_iterator_tag iterator_category
- typedef basic_ostream< _CharT,
  _Traits > ostream_type
- typedef void pointer
- typedef void reference
- typedef basic_streambuf< _CharT,
  _Traits > streambuf_type
- typedef _Traits traits_type
- typedef void value_type

## Public Member Functions

- ostreambuf_iterator & _M_put (const _CharT *__ws, streamsize __len)
- bool failed () const throw ()
- ostreambuf_iterator & operator * ()
- ostreambuf_iterator & operator++ ()
- ostreambuf_iterator & operator++ (int)
- ostreambuf_iterator & operator= (_CharT __c)
- ostreambuf_iterator (streambuf_type *__s) throw ()
- ostreambuf_iterator (ostream_type &__s) throw ()

## Member Typedef Documentation

typedef _CharT char_type

| Public typedefs. Definition at line 198 of file streambuf_iterator.h.

typedef void difference_type `[inherited]`

| Distance between iterators is represented as this type. Definition at line 113 of file stl_iterator_base_types.h.

typedef output_iterator_tag iterator_category `[inherited]`

| One of the tag types. Definition at line 109 of file stl_iterator_base_types.h.

typedef void pointer `[inherited]`

| This type represents a pointer-to-value_type. Definition at line 115 of file stl_iterator_base_types.h.

typedef void reference `[inherited]`

| This type represents a reference-to-value_type. Definition at line 117 of file stl_iterator_base_types.h.

typedef void value_type `[inherited]`

| The type "pointed to" by the iterator. Definition at line 111 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

ostreambuf_iterator | ( | ostream_type & | __s | ) | throw ()`[inline]`

| Construct output iterator from ostream. Definition at line 210 of file streambuf_iterator.h.

ostreambuf_iterator | ( | streambuf_type * | __s | ) | throw ()`[inline]`

| Construct output iterator from streambuf. Definition at line 214 of file streambuf_iterator.h.

## Member Function Documentation

bool failed | ( |  | ) | const throw ()`[inline]`

| Return true if previous operator=() failed. Definition at line 244 of file streambuf_iterator.h.

ostreambuf_iterator& operator * | ( |  | ) | `[inline]`

| Return *this. Definition at line 229 of file streambuf_iterator.h.

ostreambuf_iterator& operator++ | ( |  | ) | `[inline]`

| Return *this. Definition at line 239 of file streambuf_iterator.h.

ostreambuf_iterator& operator++ | ( | int |  | ) | `[inline]`

| Return *this. Definition at line 234 of file streambuf_iterator.h.

ostreambuf_iterator& operator= | ( | _CharT | __c | ) | `[inline]`

| Write character to streambuf. Calls streambuf.sputc(). Definition at line 219 of file streambuf_iterator.h. References basic_streambuf::sputc().

The documentation for this class was generated from the following file:

- streambuf_iterator.h